using Model;

namespace Linaris;

public partial class PlaylistPage : ContentPage
{
	public PlaylistPage()
	{
		InitializeComponent();
		BindingContext = (Application.Current as App).Manager.CurrentPlaylist;
	}

	private async void EditPlaylist(object sender, EventArgs e)
	{
        await Navigation.PushModalAsync(new EditPlaylistPage());
    }

	void RemoveCustomTitle(object sender, EventArgs e)
	{
		if (sender is MenuItem menuItem)
		{
			if (menuItem.BindingContext is CustomTitle customTitle)
            {
                (Application.Current as App).Manager.GetPlaylistByName((Application.Current as App).Manager.CurrentPlaylist.Name).RemoveTitle(customTitle);
            }
		}
	}


    private void Play(object sender, EventArgs e)
	{
		if (sender is Button button)
		{
			if (button.BindingContext is Playlist playlist)
			{
				(Application.Current as App).Manager.CurrentPlaying = playlist.Titles.FirstOrDefault();
                if ((Application.Current as App).Manager.CurrentPlaying == null) return;
				(Application.Current as App).Manager.Play();
            }
        }
	}

	private void RdmPlay(object sender, EventArgs e)
	{
        /*if (sender is Button button)
        {
            if (button.BindingContext is Playlist playlist)
            {
                (Application.Current as App).Manager.CurrentPlaying = playlist.GetCurrentTitle();
            }
        }*/
    }
}